Name:           audio-entropyd
Version:        2.0.3
Release:        alt3_4
License:        GPLv2
Group:          System/Servers
Summary:        Generate entropy from audio output
URL:            http://www.vanheusden.com/aed/
Source0:        http://www.vanheusden.com/aed/audio-entropyd-%{version}.tgz
Source1:        audio-entropyd.service
Source2:	audio-entropyd.conf
BuildRequires:	libalsa-devel
Source44: import.info

%description
Audio-entropyd generates entropy-data for the /dev/random device.

%prep
%setup -q

%build
make OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m0755 audio-entropyd $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/audio-entropyd

%post
%post_service audio-entropyd

%preun
%preun_service audio-entropyd

%files
%doc COPYING README TODO
%{_unitdir}/audio-entropyd.service
%{_sbindir}/audio-entropyd
%config(noreplace) %{_sysconfdir}/sysconfig/audio-entropyd

%changelog
* Sun Mar 24 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt3_4
- use post/un_service for service-only packages

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt2_4
- update to new release by fcimport

* Tue Sep 04 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt2_3
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt2_2
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt2_1
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_1
- converted for Sisyphus

